org.apache.ignite.ml.dataset.feature.extractor.impl

## Class ObjectArrayVectorizer<K>

- java.lang.Object
- - org.apache.ignite.ml.dataset.feature.extractor.Vectorizer<K,V,C,Object>
  - - org.apache.ignite.ml.dataset.feature.extractor.ExtractionUtils.ObjectLabelVectorizer<K,V,Integer>
    - - org.apache.ignite.ml.dataset.feature.extractor.ExtractionUtils.IntCoordObjectLabelVectorizer<K,V>
      - - org.apache.ignite.ml.dataset.feature.extractor.ExtractionUtils.ArrayLikeObjectLabelVectorizer<K,Object[]>
        - - org.apache.ignite.ml.dataset.feature.extractor.impl.ObjectArrayVectorizer<K>

- Type Parameters:
    `K` - Key type.
  All Implemented Interfaces:
    Serializable, BiFunction<K,Object[],LabeledVector>, DeployableObject, IgniteBiFunction<K,Object[],LabeledVector>, Preprocessor<K,Object[]>, FeatureLabelExtractor<K,Object[],Object>

      public final class ObjectArrayVectorizer<K>
      extends ExtractionUtils.ArrayLikeObjectLabelVectorizer<K,Object[]>
      implements DeployableObject

  Vectorizer on arrays of objects.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.ignite.ml.dataset.feature.extractor.Vectorizer

      `Vectorizer.LabelCoordinate, Vectorizer.VectorizerAdapter<K,V,C extends Serializable,L>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ObjectArrayVectorizer(Integer... coords)` Creates an instance of Vectorizer.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Serializable` | `feature(Integer coord, K key, Object[] value)` Extracts feature value by given coordinate.
    `List<Object>` | `getDependencies()` Returns dependencies of this object that can be object with class defined by client side and unknown for server.
    `protected int` | `sizeOf(K key, Object[] value)` Size of array-like structure of upstream object.

    - ### Methods inherited from class org.apache.ignite.ml.dataset.feature.extractor.ExtractionUtils.ArrayLikeObjectLabelVectorizer

      `allCoords`

    - ### Methods inherited from class org.apache.ignite.ml.dataset.feature.extractor.ExtractionUtils.ObjectLabelVectorizer

      `label, zero`

    - ### Methods inherited from class org.apache.ignite.ml.dataset.feature.extractor.Vectorizer

      `apply, createVector, exclude, extract, labeled, labeled`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.ignite.ml.trainers.FeatureLabelExtractor

      `extractFeatures, extractLabel`

    - ### Methods inherited from interface org.apache.ignite.ml.preprocessing.Preprocessor

      `map`

    - ### Methods inherited from interface org.apache.ignite.ml.math.functions.IgniteBiFunction

      `andThen`

    - ### Methods inherited from interface java.util.function.BiFunction

      `andThen`

- - ### Constructor Detail

    - #### ObjectArrayVectorizer

          public ObjectArrayVectorizer(Integer... coords)

      Creates an instance of Vectorizer.
      Parameters:
        `coords` - Coordinates.

  - ### Method Detail

    - #### feature

          protected Serializable feature(Integer coord,
                                         K key,
                                         Object[] value)

      Extracts feature value by given coordinate.
      Specified by:
        `feature` in class `Vectorizer<K,Object[],Integer,Object>`
      Parameters:
        `coord` - Coordinate.
        `key` - Key.
        `value` - Value.
      Returns:
        feature value.

    - #### sizeOf

          protected int sizeOf(K key,
                               Object[] value)

      Size of array-like structure of upstream object.
      Specified by:
        `sizeOf` in class `ExtractionUtils.ArrayLikeObjectLabelVectorizer<K,Object[]>`
      Parameters:
        `key` - Key.
        `value` - Value.
      Returns:
        size.

    - #### getDependencies

          public List<Object> getDependencies()

      Returns dependencies of this object that can be object with class defined by client side and unknown for server.
      Specified by:
        `getDependencies` in interface `DeployableObject`

2022 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022